## com.thingmagic
Class Gen2.Alien.Higgs3.BlockReadLock

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Alien
                  com.thingmagic.Gen2.Alien.Higgs3
                      com.thingmagic.Gen2.Alien.Higgs3.BlockReadLock

Enclosing class:
  Gen2.Alien.Higgs3

    public static class Gen2.Alien.Higgs3.BlockReadLock

extends Gen2.Alien.Higgs3

Higgs3 Block Read Lock

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien.Higgs3
`Gen2.Alien.Higgs3.BlockReadLock, Gen2.Alien.Higgs3.FastLoadImage, Gen2.Alien.Higgs3.LoadImage`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Alien
`Gen2.Alien.Higgs2, Gen2.Alien.Higgs3`

Field Summary
`int` `accessPassword` Access password to write to the tag
`int` `lockBits` lockAccess password to write to the tag

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Alien.Higgs3.BlockReadLock(int accessPassword, int lockBits)` Constructor to initialize parameters of Higgs3BlockReadLock

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accessPassword

    public int accessPassword

  Access password to write to the tag

### lockBits

    public int lockBits

  lockAccess password to write to the tag

Constructor Detail

### Gen2.Alien.Higgs3.BlockReadLock

    public Gen2.Alien.Higgs3.BlockReadLock(int accessPassword,
                                           int lockBits)

  Constructor to initialize parameters of Higgs3BlockReadLock

  Parameters:
    `accessPassword` -
    `lockBits` -